<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%storage_item}}`.
 */
class m230411_090213_create_storage_item_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function up()
    {
        $options = $this->db->driverName === 'mysql' ? 'CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE=InnoDB' : null;
        $this->createTable('{{%storage_item}}', [
            'id' => $this->string(36)->append('PRIMARY KEY'),
            'path' => $this->string(255)->null(),
            'name' => $this->string(255)->notNull(),
            'type' => $this->string(255)->notNull(),
            'last_synced_at' => $this->dateTime()->notNull(),
            'created_at' => $this->dateTime(),
            'updated_at' => $this->dateTime()
        ], $options);
    }

    /**
     * {@inheritdoc}
     */
    public function down()
    {
        $this->dropTable('{{%storage_item}}');
    }
}
