<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%storage_item_alias}}`.
 */
class m230424_130012_create_storage_item_alias_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function up()
    {
        $this->createTable('{{%storage_item_alias}}', [
            'id' => $this->string(36)->append('PRIMARY KEY')->notNull(),
            'storage_item_id' => $this->string(36)->notNull()->unique(),
            'name' => $this->string(255)->notNull(),
            'created_at' => $this->dateTime(),
            'updated_at' => $this->dateTime()
        ], $this->db->driverName === 'mysql' ? 'CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE=InnoDB' : null);
        $this->addForeignKey('fk_storage_item_alias_0', '{{%storage_item_alias}}', 'storage_item_id', '{{%storage_item}}', 'id', 'CASCADE', 'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function down()
    {
        $this->dropTable('{{%storage_item_alias}}');
    }
}
