<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%storage_item_category}}`.
 */
class m230424_082016_create_storage_item_category_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function up()
    {
        $this->createTable('{{%storage_item_category}}', [
            'id' => $this->string(36)->append('PRIMARY KEY')->notNull(),
            'storage_item_id' => $this->string(36)->notNull()->unique(),
            'name' => $this->string(255)->notNull(),
            'created_at' => $this->dateTime(),
            'updated_at' => $this->dateTime()
        ], $this->db->driverName === 'mysql' ? 'CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE=InnoDB' : null);
        $this->addForeignKey('fk_storage_item_category_0', '{{%storage_item_category}}', 'storage_item_id', '{{%storage_item}}', 'id', 'CASCADE', 'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function down()
    {
        $this->dropTable('{{%storage_item_category}}');
    }
}
