# Database schema

```mermaid
classDiagram
    StorageItem --|> StorageItemPermission
    
    class StorageItem {
        +String id
        +String path
        +String name
        +String type
        +String created_at
        +String updated_at
    }
    
    class StorageItemPermission {
        +String id
        +String storage_item_id
        +int access_owner
        +String access_read
        +String access_update
        +String access_delete
        +String access_domain
        +String created_at
        +String updated_at
    }
```
