<?php

namespace eluhr\flysystemRestApi\events;

use yii\base\Event;

class FileStorageEvent extends Event
{
    public const EVENT_EXCEPTION = 'exception';
    public const EVENT_BEFORE_WRITE = 'beforeWrite';
    public const EVENT_AFTER_WRITE = 'afterWrite';
    public const EVENT_BEFORE_MOVE = 'beforeMove';
    public const EVENT_AFTER_MOVE = 'afterMove';
    public const EVENT_BEFORE_COPY = 'beforeCopy';
    public const EVENT_AFTER_COPY = 'afterCopy';
    public const EVENT_BEFORE_READ = 'beforeRead';
    public const EVENT_BEFORE_DELETE_FILE = 'beforeDeleteFile';
    public const EVENT_AFTER_DELETE_FILE = 'afterDeleteFile';
    public const EVENT_BEFORE_DELETE_DIRECTORY = 'beforeDeleteDirectory';
    public const EVENT_AFTER_DELETE_DIRECTORY = 'afterDeleteDirectory';
    public const EVENT_BEFORE_CREATE_DIRECTORY = 'beforeCreateDirectory';
    public const EVENT_AFTER_CREATE_DIRECTORY = 'afterCreateDirectory';
}
